from src.ezgg_lan_manager.types.TournamentBase import ParticipantType


class Participant:
    def __init__(self, id_: int, participant_type: ParticipantType) -> None:
        self._id = id_
        self._participant_type = participant_type

    @property
    def id(self) -> int:
        return self._id

    @property
    def participant_type(self) -> ParticipantType:
        return self._participant_type
